package testcase;

import static javax.xml.bind.annotation.XmlAccessType.FIELD;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

import org.hibernate.validator.constraints.ScriptAssert;

@XmlRootElement
@XmlAccessorType(FIELD)
@ScriptAssert(lang = "javascript",
              script = "(_this.password == null && _this.passwordRepeat == null)"
                       + "|| (_this.password != null && _this.password.equals(_this.passwordRepeat))",
              message = "Passwords are not equal")
public class Customer implements Serializable {
	private static final long serialVersionUID = -4901731993476732678L;
	
	@XmlAttribute(name = "id")
	private int id;
	
	private String password;
	
	private String passwordRepeat;
	
	public Customer() {
		super();
	}

	public Customer(int id, String password, String passwordRepeat) {
		super();
		this.id = id;
		this.password = password;
		this.passwordRepeat = passwordRepeat;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPasswordRepeat() {
		return passwordRepeat;
	}

	public void setPasswordRepeat(String passwordRepeat) {
		this.passwordRepeat = passwordRepeat;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Customer other = (Customer) obj;
		if (id != other.id)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Customer [id=" + id + ", password=" + password
				+ ", passwordRepeat=" + passwordRepeat + "]";
	}
}
